%define tarball xf86-input-wiimote
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Xorg X11 Wii remote input driver
Name:      	xorg-x11-drv-wiimote
Version:   	0.0.1
Release:   	2
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

# ABI compatibility to Xorg Server > 1.6
Patch0:		xf86-input-wiimote-xserver16.patch

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires: 	xorg-x11-server-Xorg

%description 
X.Org X11 Wii remote input driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1

%build
export CFLAGS="$CFLAGS -I/usr/include/libcwiimote"
export CXXFLAGS="$CFLAGS"
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/wiimote_drv.so
#%dir %{_mandir}/man4x
%{_mandir}/man4/wiimote.4*

%changelog
* Mon May 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.0.1-2
- patched and rebuilt against xserver 1.6.1.901
* Sun Jan 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.0.1-1
- Initial CCux package release
